Subject: Re: NFS server/exports - exported path with embedded spaces is not successful
From: D O Newbold <[email-masked]>
To: Eric Blake <[email-masked]>
Cc: [email-masked]
Date: Tue, 06 Apr 2010 16:32:58 -0500
List-Id: <cygwin.cygwin.com>

At 4/6/2010 03:51 PM, Eric Blake wrote:
>On 04/06/2010 02:50 PM, D O Newbold wrote:
> >
> > I've read the man page and find no clarification on the embedded space
> > case.
> > I don't know if this is a bug or just a shortcoming.
>
>Just a matter of not reading in the right place (although admittedly the
>man page could also mention this).
>http://cygwin.com/cygwin-ug-net/using.html#mount-table
>
>If the name of the mount point contains spaces these can be escaped as
>'\040'.
>
>--
>Eric Blake   [email-masked]    +1-801-349-2682
>Libvirt virtualization library http://libvirt.org

I tried this but it didn't work.
I made the necessary change and added an additional (non-space) case as a test.
The services were restarted.
The mount was performed and was successful.
The test case controls were active and verified that the modified 
exports file was in use.
The cases with the escaped \040 embedded spaces were not active, as 
even though I had
specified the noaccess option the directories were descended by the 
find command.

         /cygdrive/c/Program\040Files   (noaccess)

Don 

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple